0.701   December 3 2017
- Typo fix by Kaol (MEGA_CORE_Conclusion.txt)
- Fixed version number. I really ought to automate that. (gearhead2.pas)
- Fixed savegame crash on Windows (texutil.pp)

0.700   December 2 2017
- New graphics for fortress, spaceships
- Updated character generator (chargen.pp)
- ExpressDelivery info display now works (services.pp)
- Cosplay changed from separate program to main menu option (cosplay2.pas)
- Some illegal characters removed from filenames (texutil.pp)
- Obsolete memos no longer appear in browser (arenascript.pp)
- FillRectWithSprite can now accept offsets (sdlgfx.pp)
- Bishounen now gives +10 reaction bonus and universal admiration (interact.pp)
- Added nonbinary, undefined genders and romance options (ghchars.pp)
- Improve Stats menu shows stat descriptions (training.pp)
- Default weapon name should now be correct (ghweapon.pp)
- Color menu is properly recentered when screen resizes (colormenu.pp)
- String input routine now uses DynamicRect (sdlgfx.pp)
- SDL screen now resizable (sdlgfx.pp)
- VGFX_Zone changed to object with GetRect method (vidgfx.pp)
- Fixed "Ask About Rumors" abrupt conversation end (arenascript.pp)

0.630   June 30 2016
- Fixed shopkeepers never changing wares bug (services.pp)
- Added more item sprites by Francisco Munoz
- Added Names_Above_Heads to options menu (pcaction.pp)
- Added updated ColorMenu from GH1 (colormenu.pp)
- Game automatically saved upon quit (pcaction.pp)
- Renamed executable to gearhead2 (gearhead2.pas)
- Moved save files, config file to config folder (user folder on Windows)
- Added updated InfoBox from GH1 (sdlgfx.pp)
- Title screen menu set to RPMNoCancel in SDL (gharena.pas)
- Fixed AutoTraining overspending bug (pcaction.pp)
- Fixed possible crash from ending a story inside a conversation (arenascript.pp)
- All usable skills, talents known by lancemates now in skill menu (pcaction.pp)
- Automatically saves game when player quits (pcaction.pp)
- Added InfoTier stat for modules (ghmodule.pp,sdlinfo.pp,coninfo.pp)
- Character limbs resized as Body stat changes (Michael Deutschmann patch)
- Can transfer items in combat if nearby (Michael Deutschmann patch)
- New portrait loaded if old portrait not found (sdlinfo.pp)
- Fixed problem with character sprites on Linux (sdlmap.pp)
- 3D interface, cute interface abandoned
- Modified armor penetration algorithm (action.pp)
- Pilot cannot eject if marked as integral (action.pp, for debugging)
- Removed +P, +C core story descriptors
- Added Plot xxran descriptor for factions (narration.pp)
- Removed the partner, comp scene, love interest, hanging NPC from core story

0.628   June 1 2010
- Added "Peace and Love" special ending
- Added FacBuddies ASL function (arenascript.pp)
- Lancmate skills will always be used in script events (arenascript.pp)
- Shadows added in isometric mode (cutemap.pp)
- Need Kung Fu talent to get funky martial arts (effects.pp)
- Can gain a lifetime maximum of 100 heroism points (ability.pp)
- Final episode uses choice tag like other episodes (playwright.pp)

0.627   May 25 2010
- Updated Defense Patrol and Bounty Hunt plots
- Sets generated as random loot will be unpacked (gearparser.pp)
- Window and icon names now set in graphical versions (glgfx.pp,cutegfx.pp)
- Lancemates can learn talents from event-based training (arenascript.pp)
- Added \SIBLING message formatting string (arenascript.pp)
- Spaceport mechanics should be factionless
- All mechanics will buy mecha (services.pp)
- All gear recovered from battlefield marked as salvage (wmonster.pp)

0.626   May 18 2010
- Salvaged mecha can't be sold for much money (arenascript.pp)
- Increased basic mission rewards by 25% to compensate (arenascript.pp)
- Sometimes, stores will put items on sale (services.pp)
- Sales tag displayed in stores (services.pp)
- Added cost adjust gear option (gearutil.pp)
- Lancemates won't learn more skills than limit (arenascript.pp)
- Largo now Class 6
- Fixed Anti-Beam HYPER resistance (action.pp, Ephafn again)
- Charge attacks should use proper skill (effects.pp, thanks Ephafn)
- Fixed bug with MonkeyMap AddExit (randmaps.pp)
- Carve maps can now get an exit (randmaps.pp)
- Added MissionGiver character description (ghchars.pp)
- Allies get shop discount, enemies get markup (services.pp)
- Personadex cost bug fixed (ghintrinsic.pp)

0.625   April 26 2010
- Team generator will attempt to create a coherent unit of mecha (wmonster.pp)
- Mecha team generator now uses standard equipment list (wmonster.pp)
- Scene faction desig, PCFAC, NOFAC added to scene search criteria (playwright.pp)
- Added Price ASL function (arenascript.pp)
- Added MoralHighGround, IronDefense merit badges (ghchars.pp)
- Lancemate Awareness score used on outdoors maps (action.pp)
- AddRandomPlot will now use global scope (playwright.pp)
- Entering a metascene from non-entrance scene should work (arenascript.pp)
- Lancemates should earn training points for mecha combat (arenascript.pp)
- I_NPC should be nil outside of conversation (arenascript.pp)
- PCSkillVal ASL function returns skill value, not rank (arenascript.pp)
- Added Personadex (infodisplay.pp)
- HardSkillTar now harder (arenascript.pp)
- Heavy actuator damage bonus not based on mecha size (gearutil.pp)
- Join option removed from menu after NPC joins (arenascript.pp)
- Should work correctly if LM quits while piloting mecha (arenascript.pp)
- Exiting area closes memo browser (arenascript.pp,pcaction.pp)
- Modified the Reaction Speed formula (ability.pp)
- Upper level monsters should be better at dodging
- Fixed problem with disappearing local triggers (arenascript.pp)
- Basic robots don't learn mecha piloting (robotics.pp)

0.624   March 16 2010
- Attack text differentiates between destroyed and disabled mecha (effects.pp)
- Props get armor/structure display (glinfo.pp,vidinfo.pp)
- Usable systems now get description (description.pp)
- Mecha power system isolated from personal power system (gearutil.pp)
- Can pick up items with handless mecha if it's a safe area (backpack.pp)
- Offscreen models depicted in 2D interface (cutemap.pp)
- Shouldn't pillage equipment from repaired player meks (arenaplay.pp)
- Added Long Range Scanner to Trailblazer, Crown, Radcliff (specialsys.pp)
- Lancemates need mission count to access TrainNPC command (arenascript.pp)
- Lancemates will like PC more after many missions together (arenascript.pp)
- MatchPlot debug info won't include null elements (arenascript.pp)

0.623   March 2 2010
- Prefab encounters may include random %r% symbol in name (playwright.pp)
- Added Admire, Disrespect attitudes (narration.pp)
- If masterplot has no payrate, may be set by subplot (mpbuilder.pp)
- Lancemates won't try to fix unassigned mecha (aibrain.pp)
- Fixed disappearing NPCs rancon problem (randmaps.pp)

0.622   February 24 2010
- Set plot timer on joining lance, rumor timer on quitting (arenascript.pp)
- \HINT now uses LayerID rather than PlotID (arenascript.pp)
- Added TrainNPC ASL command (arenascript.pp)
- Attitude, motivation added to XNPCDesc (narration.pp)
- Added \PCJOB, \HINT_MEMO message formatting commands (arenascript.pp)
- NPC repair skill message fixed (backpack.pp)
- Equip slot menu now has alpha keys (backpack.pp)

0.621   February 8 2010
- Fixed BuildRobot messages (robotics.pp)
- Props with undefined sprite now get one (cutegfx.pp)
- Added ERSATZ_MOUSE config option (cutegfx.pp)
- World map working in 2D mode (cutemap.pp)
- NPCs can tell PC to buzz off (arenascript.pp)
- Seeking rumors uses SocSkillTarget (arenascript.pp)
- Added \EXACT_SCENE message formatting command (arenascript.pp)
- Fixed crashing bug with monologue (arenascript.pp)
- Mullins is no longer invisible
- Create New Pilot now works in ArenaHQ (gh2arena.pp)
- Added title screen (cutegfx.pp,glgfx.pp,vidgfx.pp)
- Added ifGSealed, SayPlotMsg ASL commands (arenascript.pp)
- Removed unused NUMPLOTS config option (ui4gh.pp)
- Out of scale characters represented by small sprite (cutemap.pp)

0.620   January 21 2010
- Added \OFFSPRING message formatting command (arenascript.pp)
- Added error check to StringMatchWeight (texutil.pp)
- Fixed bug with faction promotions (FACTIONS_Default.txt)
- Improved rendering speed of 2D mode (cutemap.pp)
- Low-renown monster generation bug fixed (wmonster.pp)
- Friends, Lovers, etc always count as known NPCs (gearparser.pp)
- NextComp takes no parameters (arenascript.pp)
- Dramatic choice made at end of core story episode (arenascript.pp)
- Character sprite/mesh may be linked to job designation (glmap.pp)
- USEMESH config option will use meshes for all masters (glmap.pp)
- Looking at walls should move the view origin (cutemap.pp,glmap.pp)
- Laptop_Iso_Keys works in 2D isometric mode (cutemap.pp)
- Prop meshes should now use SDL_SKIN attribute (glmap.pp)
- Character creator returns an egg with PC's starting scenario (chargen.pp)
- Fixed character viewer under Linux (glinfo.pp)
- Added isometric display to 2D version (cutemap.pp)
- Added SensibleMesh datatype (gl_objreader.pp)
- Fixed some of the filenames for compiling/running on Linux

0.613   October 28 2009
- Encounters visible even if on a hill (glmap.pp)
- Can clear email by passing message index 0 (arenascript.pp)
- Added IfMeritBadge, Announce, EndPlotsByConID ASL commands (arenascript.pp)
- Added merit badges (ghchars.pp)
- NPC XRan context will include GOOD, EVIL tags (playwright.pp)
- StartPlot, StartStory commands updated (arenascript.pp)
- Factions can be initialized with standard scripts (gearparser.pp)
- Mecha arenas won't let you compete without a suitable mecha
- More enemies will appear if you have many lancemates (arenascript.pp)
- Script XP awards reduced if more than one lancemate (arenascript.pp)
- If adding lancemate when party full, may automatically drop some (arenascript.pp)
- If remove lancemate in bad place, LM will go to safe area (arenascript.pp)
- Plot lancemates can join, quit lance like regular lancemates (arenascript.pp)
- Increased number of basic lancemate slots from 1 to 3 (arenascript.pp)

0.612   September 28 2009
- Antibiotics, Neural Regenerator now working thanks to Buffered (ghswag.pp)
- Can't use reverse movement if not legal for movemode (pcaction.pp)
- Fixed many bugs in the Vesuvian Freighter quest
- PC should not get hungry during shuttle flights (arenacfe.pp)
- Range modifiers should be applied correctly (effects.pp)
- Scavenged limbs get mecha name as designation (arenascript.pp)
- ASCII memo interface now shows Call Person option (vidgfx.pp)
- Can't forget the hidden skills, thanks to Buffered (training.pp)
- FindNAtt, FindSAtt should be faster, thanks to Buffered (gears.pp)
- Correct mecha energy level shown in ArenaHQ, thanks to Buffered (description.pp)
- Fixed possible crash in UpgradeWeapons, thanks to Buffered (customization.pp)
- Hopefully no "Not Responding" thing during long enemy turns, thanks Buffered (arenacfe.pp)
- Missile launchers get +4 range bonus (locale.pp)
- Changed the WeaponRange calculator (locale.pp)
- Spot Weakness correctly applied to damage, thanks to Buffered (effects.pp)
- Fixed door repair crash (skilluse.pp)
- Fixed Zerosaiko 2H problem
- Changed the Overload, CauseStatus defense targets (effects.pp)
- Core story plots load different components if episode conclusion (mpbuilder.pp)
- Fixed the guns of the Secutor, Daum, Cogan, and Corraich
- Added Phil Munoz's female mesh to the experimental full3D mode (glmap.pp)
- Lancemates will expand the visible map area (action.pp)

0.611   August 21 2009
- Modified the Steel Arena a bit
- Funky martial arts fixed (effects.pp)
- Added Uniform scene special tag (arenascript.pp)
- Boxed lunches should stack once more (backpack.pp)
- Encounter dungeon entrances should now activate properly (arenascript.pp)
- Dungeons now record the ID of their entry scene (mpbuilder.pp)
- Fixed L5Law's alleigance (FACTIONS_Default.txt)
- Modified the Pixie mecha
- Added SocSkillTar ASL command (arenascript.pp)
- Added SkillTar, HardSkillTar to the macro initializer (arenascript.pp)
- Even without Repair, can rarely salvage destroyed enemy mecha (arenascript.pp)
- Tech Vulture needed to salvage destroyed enemy mecha (arenascript.pp)
- Spontaneous ejection more likely if all weapons disabled (arenacfe.pp)
- Forced ejection more dependent on situation (arenacfe.pp)
- NoMouse will not interfere with map rotation, scrolling (glmap.pp)
- Using repair skills should provide XP again (skilluse.pp)
- Changed the shopkeeper upgrade rate (services.pp)

0.610   August 12 2009
- Rewrote the shopping wares selector (services.pp)
- Should now be able to add lancemate in combat (arenascript.pp)
- If portrait not found, new portrait should be selected (glinfo.pp)
- Reworked the cost of stat modifiers (ghmodule.pp)
- Error message printed if map feature minimap fails (randmaps.pp)
- Fixed bug with teams appearing in express shipping menu (locale.pp)
- Cyberware will affect mapping range (ability.pp)
- Repair in arena mode should be working again (gh2arena.pp)
- Added Dao Deoji mecha
- Added Wagner Spinner, Clund Rock locations
- Warning message printed in configuration file (ui4gh.pp)
- If NoMouse active mouse will not scroll menu or map (glmap.pp,glmenus.pp)
- Added facing indicator and experimental paperdoll, mesh modes (glmap.pp)
- Changed the cave generator a bit (randmaps.pp)
- Removed food quantity stat (ghswag.pp)
- Identical items will be combined in inventory display (menugear.pp)
- Added GearsAreIdentical function (gearutil.pp)
- Can phone people directly from memo display (arenascript.pp)
- Memo browser will show custom message if no memos (arenascript.pp)
- Heavy Actuators won't provide range bonus to non-thrown weapons (locale.pp)
- Review Cyberware should work now (training.pp)
- Dungeon entrance should have correct name (mpbuilder.pp)
- Variety rancon command will deal correctly with unicon (randmaps.pp)
- There will be fewer Polymaths among basic mode characters (chargen.pp)
- All mecha combat maps should now be 50 x 50
- Mecha which have left the map can't be involved in charges (arenacfe.pp)
- View Mecha shop option now uses TeamMateName (services.pp)
- Give item in FieldHQ now uses TeamMateName (backpack.pp)
- Added LoseRenown ASL command (arenascript.pp)
- NPCs will no longer be deployed on city maps (arenaplay.pp)
- Fixed problem with number of lancemate slots (arenascript.pp)
- Increased power of Overload attacks (effects.pp)
- Browser info for mecha shows percent damaged (glinfo.pp,vidinfo.pp)

0.603   May 1 2009
- Can now use clue skills on items in inventory (backpack.pp)
- All guaranteed quests of v0.541 have been reactivated
- Athletics, Concentration gain experience more quickly (ability.pp)
- Food can grant SkillXP (ghswag.pp)
- Added fortune counter for factions (gears.pp)
- Cyberware description no longer includes trauma (description.pp)
- ConnectScene won't add subzone for encounters (mpbuilder.pp)
- Quest metascene PlotID marking done in InitShard (mpbuilder.pp)
- Quest item elements may use plot variables (grabgear.pp)
- Dynamic encounters marked with PlotID of source (arenascript.pp)
- Local persona won't be used if NPC goes to another city (narration.pp)
- Removed unused GB parameter from FindRootScene (narration.pp)
- Can locate plot master based on PlotID of scene (grabgear.pp)
- NPCs will now take medicine as appropriate (aibrain.pp)
- Changed the way special food effects work (ghswag.pp)
- TeamHasSkill should work properly while in mecha (locale.pp)
- Lancemates should now use repair skills (aibrain.pp)
- Vitality experience award adjusted again (action.pp)

0.602   April 13 2009
- Fixed PC repair skills (skilluse.pp)
- Fixed core story stall problem
- Chance of city having mood increased (playwright.pp)
- Encumberance limit increases greatly if Body > 10 (gearutil.pp)
- Increased Vitality experience award (action.pp)

0.601   April 9 2009
- Fixed UpdateMoods crashing bug (playwright.pp)
- If map feature has minimap defined, must be at least 5x5 (ghprop.pp)
- Fixed verbal attack messages (arenacfe.pp)
- Fixed repair fuel description (description.pp)

0.600   April 8 2009
- GNewPart can create new items from design directory (arenascript.pp)
- Deleted a selection of the oldest, ugliest portraits
- Stats have a greater effect on skill rolls (ability.pp)
- Characters start with fewer stat points (chargen.pp)
- Certain monsters don't leave a corpse (arenacfe.pp)
- Added wreckage (^) and rubble (%) to minimap renderer (randmaps.pp)
- Shopkeeper, script mecha color schemes have greater variation (services.pp)
- Characters start RPG campaign with Personal Communicator (navigate.pp)
- Right mouse button re-activated (pcaction.pp)
- Added minor moods (narration.pp)
- Added GrabController command (grabgear.pp)
- ConnectScene names MetaEncounters after destination (mpbuilder.pp)
- GQSubMemo ASL command removed (arenascript.pp)
- Fixed bug with placement strings in root plot (mpbuilder.pp)
- EndPlot doesn't affect quests (arenascript.pp)
- Triggers processed against quests and moods of current location (arenascript.pp)
- Added GStamina, PumpNews, SetEncounter ASL commands (arenascript.pp)
- STC items may be stored in separate files (gearparser.pp)
- Plot placeholders marked by PlotLayer, not PlotID (mpbuilder.pp)
- Unused PlotStatus attributes cleared during upkeep (naviagte.pp)
- Removed Quest "Scene" attributes (playwright.pp)
- MegaPlots now include tag for all subplot IDs (mpbuilder.pp)
- PlotStatus stored in Adventure (mpbuilder.pp)
- Merged MegaPlot and Quest generators (mpbuilder.pp)
- Plot, story, quest difficulty all stored as Narrative value (gears.pp)
- Added QuestScene element request (playwright.pp)
- Subplot request may include optional difficulty value (mpbuilder.pp)
- Message printed when using clue skill on item without script (arenascript.pp)
- If reaction score goes over 50, may make new friend (arenascript.pp)
- AddReact changed from macro to full command (arenascript.pp)
- Added reusable standard scripts (gearparser.pp)
- Removed "Chat" conversation option (arenascript.pp)
- Heard rumors may be reviewed via memo system (pcaction.pp)
- Added "Ask about rumors" conversation option (arenascript.pp)
- Added anti-beam armor (ghmodule.pp)
- All training messages should be moved to messages.txt (training.pp)
- Can gain one stat advance per 5000XP earned (training.pp)
- Should not suffer cyberdisfunction during long trips (arenacfe.pp)
- Altered the trauma mechanics (ghmodule.pp)
- Tools may benefit Acrobatics, Robotics, Pick Pockets, Dominate Animal
- Activatable skills may use unequipped tools (ability.pp)
- Talents may have usage effects like skills (ghchars.pp)
- In safe area, PC mecha repair faster than before (skilluse.pp)
- Fixed problem with character generator faction selector (chargen.pp)
- "Repair Mecha" only an option with qualified mechanic (services.pp)
- Added debugging message to ReadGead (gearparser.pp)
- Marlowe is now a skill trainer
- SkRoll, IfSkillTest, IfUSkillTest parameters changed (arenascript.pp)
- Weapons may use different stats (effects.pp)
- Robots and animals counted together as pets (interact.pp)
- Unused hook generators deleted (interact.pp)
- Skills are no longer associated with a single stat (ability.pp)
- Increased character encumberance limit (gearutil.pp)
- Removed skill software (ghsensor.pp)
- Pruned the skill list, added hidden skills (ghchars.pp)

0.541   March 13 2009
- The material of a module must match the material of the mecha (ghmecha.pp)
- Added Use System command (ui4gh.pp,pcaction.pp)
- Added transformation system (specialsys.pp)
- Added variable modules (ghmodule.pp)
- Should be able to change mode to fly in front of high terrain (locale.pp)
- Added Usable gears (ghsupport.pp)
- Integral components take fewer slots (gearutil.pp)
- Throwing range gets bonus from heavy actuators (locale.pp)
- Global scene search now works (playwright.pp)
- NPCs in temp scenes cannot be selected for content (playwright.pp)
- Global character search will search globally (playwright.pp)
- Changed the ammo explosion formula (action.pp)
- Penetration for overkill damage has been reduced (action.pp)
- Characters will now suffer overkill damage (action.pp)
- Moods will be assigned to cities automatically (playwright.pp)
- Disintegration affects everything (ghweapon.pp)
- Can speak to mecha pilots who have switched sides (pcaction.pp)
- Enemies and allies may appear in combat missions
- MetaScenes will inherit difficulty context from plot (playwright.pp)
- NPC desc includes RECHARGED tag when not used for 24 hours (interact.pp)
- Fixed weapon range description bug (description.pp)

0.540   February 27 2009
- Stealth-in-plain-sight now more difficult (action.pp)
- Altered the Performance mechanics (skilluse.pp)
- Conversation less effective as verbal attack tactic (arenacfe.pp)
- Martial Arts will not use MP (effects.pp)
- Animals do not use funky martial arts (effects.pp)
- Restored Martial Arts damage bonus (gearutil.pp)
- Number of skill slots less dependant upon Knowledge (gearutil.pp)
- Name generator should not repeat so often (ghchars.pp)
- No-one should taunt after quitting the game (arenaplay.pp)
- GJoinLance will move target if not in play (arenascript.pp)
- No XP gained from attacking scenery (effects.pp)
- Verbal attack won't halt movement (pcaction.pp)
- Lancemates won't rapidly level skills they don't know (arenascript.pp)
- Added \HINT message formatting command (arenascript.pp)
- Tools may be used as robot parts (robotics.pp)
- Last part added to robot will be indicated (robotics.pp)

0.535   February 12 2009
- Verbal attack has minimum defense roll (arenacfe.pp)
- Fatalities and relationships are reported in victory file (arenascript.pp)
- Number of NPCs killed is recorded (narration.pp)
- NPCs shouldn't fly off the edge of the map anymore (action.pp)
- Crash landing will happen before order input (action.pp)
- All purchase messages externalized (services.pp)
- Can buy spare clips by examining weapon in shop (services.pp)
- Cannot equip overscale items (gearutil.pp)
- Dungeon goals will be more common (navigate.pp)
- Added RevertPersona ASL command (arenascript.pp)
- Robotics skill should now work (robotics.pp)
- Added Entourage talent (ghchars.pp)
- Maximum number of pets determined by appropriate skill (ability.pp)
- PC can normally only have one lancemate of choice (arenascript.pp)
- Can switch between clock and tactics mode during play (arenaplay.pp)
- Lancemates will rapidly advance to minimum competency (arenascript.pp)
- XP awards no longer divided based on number of lancemates (arenascript.pp)
- Removed unused ProppAdvancement tag (narration.pp)

0.534   January 31 2009
- NPCs will use standard list of skin and hair colors (glmap.pp,cutemap.pp)
- Added new color selector (colormenu.pp,cosplay2.pas)
- Added ITEM GearParser command (gearparser.pp)
- NPCs who lose half of their limbs will automatically surrender (arenacfe.pp)
- Verbal attack now works against minor NPCs (pcaction.pp)
- Tool bonus will now be applied (ability.pp)
- Tech Vulture should now give more salvage (arenascript.pp)
- If Skill XP gain allows multiple ranks, all will be applied at once (ability.pp)
- Cannot gain XP for attacking a non-operational target (effects.pp)
- Fixed attack skill xp bug (effects.pp)

0.533   January 23 2009
- Added Mebsy mecha
- Talking always takes time (pcaction.pp)
- Skill use awards proportional to skill advancement cost (action.pp)
- SF:1 and above beam guns get a bonus to penetration (effects.pp)
- Missile launcher names will show number of missiles (ghweapon.pp)
- Cannot have size 0 modules (ghmodule.pp)
- Taunt targets may use verbal riposte (arenacfe.pp)
- Encounters have a shared recharge counter (aibrain.pp)
- Thrown weapons can't score more than 2 hits (effects.pp)
- Martial arts toned down a bit (effects.pp)
- Initiative and attack skill rank determine number of melee hits (effects.pp)
- May uninstall software from backpack menu (backpack.pp)
- Can cycle through models with ; key, even when not attacking (targetui.pp)
- Use of Taunt skill is now automatic (arenaplay.pp)
- Taunt has been separated from verbal attack (arenacfe.pp)
- Added a default portrait for mecha (glinfo.pp)
- Scene context may include NOFAC tag (playwright.pp)
- Added Antagonistic attitude (playwright.pp)
- Reduced Spot Weakness damage bonus (effects.pp)
- Minimum target for Spot Weakness lowered to 5 (effects.pp)

0.532   January 13 2009
- May eject ammo clips from items via backpack display (backpack.pp)
- Screen should only update once per PC move (arenaplay.pp)
- May rename mecha from Arena HQ (gh2arena.pp)
- Arena HQ will no longer crash when using skills (action.pp)
- May no longer move installed ammo from one gun to another (backpack.pp)
- Fixed local macro initialization crash (arenascript.pp)
- Skill XP gain for good roll proportional to target number (action.pp)
- Gain more Shopping XP for buying items, none for selling (services.pp)
- Shipping menu should list correct city names (services.pp)
- Smoke, fire marked as temporary (effects.pp)
- Added IfMechaCanEnterScene ASL command (arenascript.pp)
- PC's mecha checked for scene compatability; TownMecha depreciated (arenaplay.pp)
- Added Inside environment type (movement.pp)
- Separate shop options for reloading equipped, unequipped weapons (services.pp)

0.531	January 3 2009
- All deadends reported so far should be resolved
- Status effects only affect models which are on the map (arenacfe.pp)
- Subweapons of inventory items won't have ammo explosions (action.pp)
- Hidden units won't be revealed by damaging effects (effects.pp)
- Destroyed mecha should not be able to charge (arenacfe.pp)
- Should not lose HP from hunger or morale (ghchars.pp)
- Fixed crash when world map travel impossible (pcaction.pp)
- Close combat attacks apply full Spot Weakness rank to damage (effects.pp)
- XNPCDesc now includes NoFac tag (interact.pp)
- Added NeverMet attitude (playwright.pp)

0.530	December 22 2008
- It's harder to score critical hits against skilled pilots (effects.pp)
- It's harder to dodge close combat melee attacks (effects.pp)
- BLIND condition goes away at end of encounter (arenaplay.pp)
- Reorganized the core story components a bit
- NPCs gain direct experience faster than the PC (action.pp)
- In major battles, grunt NPCs may get custom mecha (wmonster.pp)
- NPCs will tend to take the most expensive mecha available (wmonster.pp)
- Ejected NPCs will never appear on the map (action.pp)
- Personal enemies get NEMESIS in search description (interact.pp)
- NPCs now get equipped at deployment (arenaplay.pp)
- Added Bargol, Phoenix, Corraich, Kraken, all Savin variants from GH1
- Casual skill use uses team skill (action.pp)
- Core story conclusion marked by #C tag (playwright.pp)
- Added SetMood ASL command (arenascript.pp)
- Added Thankful attitude (playwright.pp)
- PC's faction stored in adventure at startup (navigate.pp)
- SNIPER only affects ballistic and beamgun weapons (effects.pp)
- Changed the way ARMORPIERCING works (effects.pp)
- Added UNCHARTABLE scene tag (randmaps.pp)
- Quest related treasure should be better than before (navigate.pp)
- NPC Mecha max value increased from Opt x3 to Opt x4 (wmonster.pp)
- Added Ninja, Lightning, Devil themes

0.520	October 30 2008
- Added Century, Gladius, Hariseng, Fenris, Secutor, Thorshammer, Gaunt, Eggman mecha
- Added Dragon theme
- Master plot plotstatus-keyed rumors should now work (mpbuilder.pp)
- Fixed problem with dynamic encounter map generator (arenascript.pp)
- Fixed some problems with long strings (texutil.pp)
- Added BLIND status effect (ghweapon.pp)
- Added Hanging NPC core story element (corestorystub.txt)
- Fixed a crashing bug with overcharger bonus (movement.pp)
- Investigation skill changed to Insight
- Encounters won't usually attack PC while on foot (gamedata/meta11.txt)
- Fixed crashing bug in map generator (randmaps.pp)
- Shopkeeper's skill will improve the more items purchased (services.pp)
- Basic mode PCs get random talents (chargen.pp)
- Random character generator should provide better skills (chargen.pp)
- Added faction/mecha analysis program (mekcheck.pas)
- Added ESSENTIAL item category
- For store placement, sets use average value of items (services.pp)
- Now easier to improve stats with limited skills (training.pp)
- Core story deadend instructs player to make report (playwright.pp)
- Movement systems mounted in legs, wings get a thrust bonus (movement.pp)
- On an asteroid, space flight can substitute for regular flight (movement.pp)
- Rocket Arena now gets predefined map
- NPC equipment can be locally availiable (arenaplay.pp)
- Added \ChatNPCMecha message formatting string (arenascript.pp)
- Hovel Market has a guaranteed weapon shop (ATLAS_L5Region.txt)
- Fixed the "NPC in door" message bug (narration.pp)
- No buildings should be unreachable on city map (randmaps.pp)
- FieldHQ menu provides full names (pcaction.pp)
- Shuttle service has no range (services.pp)
- Shuttle service now includes a meal (services.pp)
- NeverFail NewNPCs will have correct job title (playwright.pp)
- Chardesc accepts Friend,Family,Lover,ArchEnemy (gearparser.pp)
- NeverFail NewNPCs will be individualized (playwright.pp)
- Fixed leftover placeholder bug (mpbuilder.pp)

0.511	October 2 2008
- Fixed indestructible building bug (locale.pp)
- +Tht, +Tpt tasks folded into +Tgt
- Items given to PC will be given to pilot if possible (backpack.pp)
- NeverFail with unspecified job creates random NPC (playwright.pp)
- NeverFail NPCs get search string applied as chardesc (playwright.pp)
- Personal allies include LANCEMATE in search description (interact.pp)
- \PPR, \SPR, and \OPR with argument 0 gives PC's pronoun (arenascript.pp)
- Megaplots won't combine components with similar changes (mpbuilder.pp)
- Added PMemo ASL command (arenascript.pp)
- Reaction time calculator changed (ability.pp)
- Player-owned gears always moved from metascene (arenaplay.pp)
- Added some new attitudes, motivations (playwright.pp)

0.510	September 19 2008
- Reduced cost of High Output engines (ghsupport.pp)
- Fixed "frozen enemies" tactics bug (arenaplay.pp)
- Added High Performance engines (ghsupport.pp)
- Gears may now explode upon destruction (effects.pp)
- Added \SECRET message formatting command (arenascript.pp)
- Added Secret gears (gears.pp)
- Increased the number of plot elements to 30 (narration.pp)
- Added error for attempting to grab nonexistant elements (playwright.pp)
- Metascenes also get PlotStatus-keyed rumors (interact.pp,mpbuilder.pp)
- Pilots of mecha get assigned a UID (locale.pp)
- Added LTrigger ASL command (arenascript.pp)
- Changed the way megaplots incorporate subplot scripts (mpbuilder.pp)
- ?Mx and ?Px changed to ?Mecha and ?Pilot (arenascript.pp)
- Changed Monologue to GMonologue (arenascript.pp)

0.504	August 21 2008
- PlotStatus, SetPlotStatus require PlotID as parameter (aslmacro.txt,asvmacro.txt)
- Plots may now have multiple narrative threads at the same time (mpbuilder.pp)
- Propp state now includes an advancement counter (playwright.pp)
- Lancemate status indicated in NPC's element context (playwright.pp)
- Added motivation and attitude for core story NPCs (playwright.pp)
- Reloading ammo should now cost a lot less (services.pp)
- Inanimate objects will just wait (aibrain.pp)
- Fixed an infinite loop in the tactics procedure (arenaplay.pp)

0.503	May 22 2008
- Added Michalis Kamburelis's blue screen bugfix (glgfx.pp)

0.502	May 13 2008
- Added NOFAC tag if xxran element has no faction (playwright.pp)
- In ASCII mode, neutral props are grey (vidmap.pp)
- Shops show item info when selling items, viewing mecha (services.pp)
- Shops can now spell out their wares in ASCII mode (randmaps.pp)
- Added lots of new meshes
- Fixed mesh rotation bug
- Added Rishiri Spinner
- Added Red Mask Raiders, Aegis Space Force factions
- Regen, Stone, and Haywire should now wear off (ghweapon.pp)
- Map generator set properly when moving from dynamic scene to metascene (arenascript.pp)
- Scene content generator speed, selection improved (randmaps.pp)
- Global element search won't return undeployed unique content (playwright.pp)
- Campaign browser now uses collapsed view (pcaction.pp)
- Fixed a problem in StringMatchWeight with low match (texutil.pp)

0.501	March 18 2008
- Added +Pew Enemy Weapon Program plot state
- XXRan_Debug shows info about core story subplots (mpbuilder.pp)
- All  global gears should be saved from deleted metascenes (playwright.pp)
- Fixed a major problem with exits during world generation (navigate.pp)
- Conversation doesn't give regular skillroll XP (interact.pp)
- Stealth, Awareness only give XP when used against enemies (action.pp)
- Mission cash rewards increased (arenascript.pp)

0.500	March 5 2008
- Faction promotion rewards now work
- Episode breaks should now be working
- +Tlt task changed to special case of +Tgt
- Added *:FreeMecha quest to the Cavalier's Club
- *DUNGEON_X content split into DECOR, THREAT, and REWARD
- MechaPrize updated; may now give customized mecha (arenascript.pp)
- StartStory, StartPlot now work correctly (arenascript.pp)
- Fixed NPC spontaneous crash in space bug (aibrain.pp)
- XRContextString includes PCFAC if same faction as PC (playwright.pp)
- Faction, Character search indicates PCFAC (interact.pp,playwright.pp)
- Unequipped weapons won't get reloaded by default (services.pp)
- Dungeon challenge level doesn't rise so quickly (navigate.pp)
- Fixed a number of serious bugs with RandomLoot (gearparser.pp)
- Fixed XNPCDesc "in use" bug (interact.pp)
- BV doesn't cause higher base energy cost for weapons (gearutil.pp)
- SF:0 beam weapons have higher energy cost (gearutil.pp)
- Mecha engines have lower energy capacity (gearutil.pp)
- Treasure value must now be set using Fudge (ghswag.pp)
- ASCII browser now shows correct cost (vidinfo.pp)
- SF:0 equipment now costs more (gearutil.pp)
- Fixed unscaled ammo reload cost bug (services.pp)
- Fixed crash with StartCampaign using an experienced character (navigate.pp)
- ASCII character generator message issues fixed (chargen.pp)
- Element search can use () and - (texutil.pp)
- Debugging plot loader changed to work with new plot format (pcaction.pp)
- Fixed a problem with NewNID, NewCID, NewMetaSceneID functions (narration.pp)
- BatchLoadPlots has been changed to UpdatePlots (arenascript.pp)
- Plot loading is limited to the PC's current location (playwright.pp)
- Fixed bug with missile sensor modifier (effects.pp)
- When joining a lance for the first time, NPCs bring their own mecha (arenascript.pp)
- Fixed problem with always_save character faction (navigate.pp)

0.460	January 12 2008
- Fixed problem with AI weapon selector (aibrain.pp)
- Fixed message when putting item in a prop (backpack.pp)
- Added IfGHasItem ASL command (arenascript.pp)
- Faction rank is stored globally, not per-faction (arenascript.pp)
- Rebalanced weapon ranges (ghweapon.pp)
- Beamguns are less durable than before (ghweapon.pp)
- Targeting weapon switcher should work again (menugear.pp)
- Smoke should no longer get damaged by attacks (effects.pp)
- Hidden/Visible status indicated in status display (glinfo.pp,vidinfo.pp)
- Stealth can be used if standing behind observer (action.pp)
- Stealth can be used behind cover as well as in cover (action.pp)
- Ejection and surrender now handled as aftereffect of attack (arenacfe.pp)
- Added another quest debugging message (navigate.pp)
- Wall randmap command uses ADDEXIT special tag (randmaps.pp)
- Leftover cells filled with gapfill features (randmaps.pp)
- Updated the Lattice, Mitose map generators (randmaps.pp)
- Props which can dodge don't suffer immobile penalty (effects.pp)
- Doors no longer take name of map features (randmaps.pp)
- Fixed bug with nameless map features (randmaps.pp)
- WMonster ASL command now requires TeamID, Renown, Strength (arenascript.pp)
- Monster generator redone in line with mecha generator (wmonster.pp)
- Removed MDynamic, MStockD, MStaged, WMThreat commands (arenascript.pp)
- Combatants get equipment generated at start of scene (arenaplay.pp)
- Toxin weapons are more expensive (ghweapon.pp)
- Only master gear represented as "@" in ASCII mode (vidmap.pp)
- Regular plots may place prefabs in storage (mpbuilder.pp)
- Reorganized some bits of the quest generator (navigate.pp)
- Fixed the mecha selection menu issues (backpack.pp)
- Recalibrated the cash reward generator (arenascript.pp)
- Fixed some issues with smartaction (pcaction.pp)
- Added "Where are you?" conversation option (arenascript.pp)
- Adjusted mecha software value (ghsensor.pp)
- Distinction now made between point value and cost (gearutil.pp)
- Fixed some bugs with selling in ArenaHQ (gh2arena.pp)
- Fixed bug with Extend/non-Thrown weapons (locale.pp)

0.451	November 28 2007
- Improved the mission selection menu for ArenaHQ (gh2arena.pp)
- Shopkeepers with a faction won't sell non-faction goods (services.pp)
- Throwing weapons with Extend tag get extra range (locale.pp)
- Fixed endless loop in quest generator (navigator.pp)
- Adjusted the emergency recovery rate (arenaplay.pp)

0.450	November 25 2007
- If characters or mecha lost in ArenaMode, team renown reduced (gh2arena.pp)
- Props have an armor rating (gearutil.pp)
- Added arena mode skill schooling (gh2arena.pp)
- Increased cost of HYPER weapons (ghweapon.pp)
- Remove software menu should now give correct info (backpack.pp)
- Lancemates should no longer talk to animals and props (aibrain.pp)
- Weapons may have integral weapons as subcoms (ghweapon.pp)
- Added UNREGULATED special tag for scenes (services.pp)
- Changed the way missile prices calculated (ghweapon.pp)
- Removed blast/hyper ammo premium, added mass penalty (ghweapon.pp)
- Added ReflexSystem mecha trait (ghmecha.pp)
- Improved the shuttle destination menu (services.pp)
- Added \FACTION_DESIG message formatting command (arenascript.pp)
- Recalibrated the threat/renown curve (ability.pp)
- Dungeon difficulcy level now stored in scene Type attribute (navigate.pp)
- Fixed crash when restoring from world map (arenaplay.pp)
- Rebalanced chatting mechanics (interact.pp)
- Rumors attached to current scene will not be returned (interact.pp)
- Reduced ArenaHQ item sale price (gh2arena.pp)
- Added EXPERIMENTAL weapon tag (ghweapon.pp)
- Fixed Renown/Morale bugs (ability.pp)
- Locked doors generally less hard to open (randmaps.pp)
- Added charge attack (effects.pp)
- Crashing should now work (action.pp)
- Swarm missiles should no longer misfire (effects.pp)
- Swarm AtOp now calculated correctly (effects.pp)
- Reworked dynamic encounters; may now assign enemy faction (arenascript.pp)
- Removed LoadD, TStockD commands (arenascript.pp)
- Reward command based on Renown, not Threat (arenascript.pp)
- WMecha command now takes Renown, Strength as parameters (wmonster.pp)
- Enemy mecha generated based on Renown and Strength (wmonster.pp)
- Fixed possible overflow problem with XP awards (ability.pp)
- Script debugging messages always active (arenascript.pp)
- NPC skill training uses SetSkillsAtLevel (gearparser.pp)
- Removed GAbsoluteLevel command (arenascript.pp)
- All context tags should be five characters long
- Scene context includes faction of current scene (randmaps.pp)
- Core story macro names use "NPC" instead of "Char" (corestorystub.txt)
- Storage module ammo explosions don't cause overkill (action.pp)
- SelectSpotInFeature won't place gears on obstacles (randmaps.pp)
- Flying mecha don't make wide turns on oversized maps (movement.pp)
- Arena units may earn additional mecha sources (gh2arena.pp)
- Conversation bonus happens sooner in Arena mode (gh2arena.pp)
- Arena mission element search "Key" returns core enemy faction (playwright.pp)
- Added GAlterContext, AddDebriefing ASL commands (arenascript.pp)
- Element search "." selects root scene when called from quest (playwright.pp)
- RandomMecha prize reported in ArenaHQ debriefing (arenascript.pp)
- Start of turn message in ASCII tactics mode focuses on chacter (arenacfe.pp)
- Character generator access error fixed (chargen.pp)
- Changed the way arena missions are initialized (playwright.pp)
- HasSkill function now correctly deals with arena units (ability.pp)
- ArenaHQ mecha start with faction colors (gh2arena.pp)
- Arena units may only buy mecha belonging to allowed factions (gh2arena.pp)
- ArenaHQ personalities report information following mission (gh2arena.pp)
- Added Mission Report numeric attributes (locale.pp)
- Added faction personalities for arena mode (gh2arena.pp)
- Arena units will be checked for complete set of factions at loading (gh2arena.pp)
- Arachnoids can jump like zoanoids (movement.pp)
- Added default sprite for hoverfighters (glmap.pp)
- Memos, News, and Email get alphabetically sorted (arenascript.pp)
- Memos always include the name of the city (arenascript.pp)
- Memes automatically get frozen (playwright.pp)
- Memes must be declared as Prefab elements, use NID (arenascript.pp)
- Starting a performance from backpack exits the menu (backpack.pp)
- Changed how character generator examines context (chargen.pp)
- NPCs may spontaneously surrender if health is extremely low (arenacfe.pp)

0.440	September 29 2007
- Added PlotThingSet gear, where prefabs may be stored (playwright.pp)
- Added heavy actuator movement system (ghmovers.pp)
- Multi-part plots keep record of all components used (mpbuilder.pp)
- Fixed info display for sets (glinfo.pp)
- Fixed problems with calculated skill ranks (gearutil.pp)
- All plot states may load an episode conclusion (playwright.pp)
- Oversized modules give +1 bonus to mecha CC damage (gameutil.pp)
- NPCs still involved in quest can't join lance (arenascript.pp)
- Quests will not set skill level of animals (navigate.pp)
- Traveling by shuttle now takes time (services.pp)
- Concert minigame now takes time (minigame.pp)
- Props without teamdata will be assigned to team 0 (narration.pp)
- Fixed a bug with trade items interface (backpack.pp)
- Quests scale random loot to proper level (navigate.pp)
- Encounters may only be spotted within awareness range (action.pp)
- Quest scenes will have monster team threat set (navigate.pp)
- Fixed problem with MetaScene -1 (narration.pp)
- Will no longer drift on oversized maps (action.pp)
- Added \CHATNPC message formatting string (arenascript.pp)
- Fixed bug in MP element contexts (mpbuilder.pp)
- Terrain included in scene XRContext (playwright.pp)
- Fixed bug in SDL mode self repair (targetui.pp)
- Mecha will start play in lowest legal movemode (locale.pp)
- NPCs will not continue to act after scene finished (arenaplay.pp)
- ForceChat automatically prints contact message (arenascript.pp)
- Alerts are now automatically printed to console (arenascript.pp)
- Changed mechanism for determining if NPCs will join lance (arenascript.pp)
- Added IfGCanJoinLance, Monologue ASL commands (arenascript.pp)
- Removed +Pen Propp state, added +Psh Propp state (series/*.txt)
- Relationship with PC now indicated in NPC info (description.pp)
- GH2 now uses ANSI strings
- Added persona fragment debugging message (playwright.pp)
- Megaplots will sum the plot points from components (mpbuilder.pp)
- XXRAN_WIZARD allows selection of subplots (mpbuilder.pp)
- AdvancePlot replaced with EndPlot (arenascript.pp)
- XXRan components no longer have return scripts (arenascript.pp)
- CharDesc may set relationship with PC (gearparser.pp)
- Content may request random NPCs (playwright.pp,chargen.pp)
- Combat NPCs automatically get equipment; equipchar deleted (gearparser.pp)
- New NPC equipment selector (gearparser.pp)
- NPCs will select mecha at start of encounter (arenaplay.pp)
- Random stats affected by job type (chargen.pp)
- Fixed some computer handling bugs (backpack.pp)
- Added superprop error checking code (randmaps.pp)
- Changed how space terrain is rendered (glmap.pp)
- Added backdrops for scenes (glmap.pp)
- Props always count as having a power source (gearutil.pp)
- Added many new meshes (ghprop.pp)
- Taunt MP cost reduced, may also cause MP/SP loss in target (arenacfe.pp)
- SF:0 gear gets better sale price from appropriate shopkeeper (services.pp)
- Can now access mecha part editor from ArenaHQ (gh2arena.pp)
- Random item generator should produce less junk (gearparser.pp)
- Blinking cursor when inputting text in ASCII mode (vidgfx.pp)
- Fixed a bug in SDL input routine (glgfx.pp)
- Default console height 25 for Windows, 24 for other OSs (ui4gh.pp)

0.430	June 22 2007
- Added map editor (maped.pas)
- Pregenerated maps should now work (randmaps.pp)
- Plot initialized with difficulcy rating (mpbuilder.pp)
- Plot rumors may be filtered based on plot state (interact.pp)
- Rumor string formatting changed (playwright.pp)
- Story and global plots may request subplots (mpbuilder.pp)
- Requesting "." as element selects current scene (playwright.pp)
- Fixed bug with talking to surrendered NPCs (pcaction.pp)
- Containers may include random loot (gearparser.pp)
- RanCon may include door prototypes (randmaps.pp)
- Added Arena, Park building types (glmap.pp)
- Mecha don't have legality levels (services.pp)
- When selecting job, will be shown skills and category (chargen.pp)
- Fixed bugs in quest dungeon assembler (navigate.pp)
- Added video game, vending machine meshes (glmap.pp)

0.422	May 12 2007
- Added Disintegration status effect (ghweapon.pp)
- Fixed bug with displaying missile accuracy (description.pp)
- Three new themes, by Francisco Munoz (series/THEME_*.txt)
- Added theme checker (customization.pp)
- Camraderie now based on Conversation (ghchars.pp)
- Fixed bug with quest dungeon subscenes (navigate.pp)
- RandomMecha command now prints announcement (arenascript.pp)
- Fixed quest component reuse bug (navigate.pp)
- Added ReturnTo scene attribute (arenascript.pp)
- Added quest SubMemos, GQSubMemo ASL command (arenascript.pp)
- Removed unused textures (glmap.pp)
- Fixed Martial Arts bugs, by Francisco Munoz (effects.pp,gearutil.pp)

0.421	April 3 2007
- Added cost and spaces to ASCII info, by Francisco Munoz (vidinfo.pp)
- Added Memes, ActivateMeme ASL command (arenascript.pp)
- Monster threat value is now a numeric attribute (ability.pp)
- New scenes inherit Habitat SAtt from root scene (navigate.pp)
- Monster generator now takes account of habitat, environment (wmonster.pp)
- AI weapon selector takes weapon scale into account (aibrain.pp)
- Improved handling of non-mecha items in arena mode (gh2arena.pp)
- Salvage repair roll made more difficult (arenascript.pp)
- Rebalanced enemy ejection check (aibrain.pp)
- Fixed memory leak in ArenaHQ (gh2arena.pp)
- Should now salvage mecha automatically from metascenes (arenaplay.pp)
- Harness damage status fixed (gearutil.pp)

0.420	January 19 2007
- Superprops may lay out a series of props instantly (randmaps.pp)
- Props may now use meshes instead of sprites (glmap.pp)
- Added gl_objreader unit (gl_objreader.pp)
- Changed swarm radius calculator; swarm missile bug should be fixed (effects.pp)
- Salvage mecha removed from map (arenascript.pp)
- Can only taunt enemies (pcaction.pp)
- Flummoxed and Burned conditions go away at scene change (arenaplay.pp)

0.412	January 10 2007
- Arena unit faction, rank now displayed (vidinfo.pp,glinfo.pp)
- Skill schools will show skill descriptions (services.pp)
- Arena mission NPCs can be assigned element factions (gh2arena.pp)
- Can now use taunt from the skills menu (pcaction.pp)
- Talking routines cleaned up, use messages.txt (pcaction.pp)
- Local enemies won't talk to PC even by telephone (pcaction.pp)
- Player should no longer be able to target clouds (targetui.pp)
- Rearranged the ASCII chargen display (vidgfx.pp)

0.411	January 5 2007
- Conversation menu can't be cancelled by mouse click (glmenus.pp)
- GrabPC will select character with highest Leadership (grabgear.pp)
- Character description now shows talents (description.pp)
- SDL mode Browser now shows character stats (glinfo.pp)
- Tech Vulture, Diplomatic, Business Sense, Innovation may be used by any team member (arenascript.pp)
- Salvage now benefits from Mecha Repair skill (arenascript.pp)
- Fixed bug with out of range weapon switching (menugear.pp)
- Number of available arena missions determined by Conversation skill (gh2arena.pp)
- RanCon props should be Team 0 by default (randmaps.pp)
- Stealth may be used to avoid most encounters (gamedata/meta11.txt)
- Added \SOURCE message formatting string (arenascript.pp)
- Mecha Engineering no longer costs money or adds weight (backpack.pp)
- Doors now give XP through MakeSkillRoll function (gamedata/meta1.txt)
- ifSkillTest can't be retried without increasing skill (arenascript.pp)
- Added ifUSkillTest ASL command (arenascript.pp)
- With target analysis software, can make called shot at weapons, movesys (pcaction.pp)
- Added information software (ghsensor.pp)
- May now examine other models from targeting interface (targetui.pp)
- Fixed bug with arena mode conversations (interact.pp)
- Models can no longer set self as target (targetui.pp)
- NPCs involved in arena missions are scaled to appropriate level (gh2arena.pp)
- Character stats now shown in basic info (glinfo.pp,vidinfo.pp)
- Can learn skill from school even if DirectSkillXP is off (services.pp)

0.410	December 25 2006
- Added Concert,ifGHasSkill ASL commands (arenascript.pp,minigame.pp)
- Added Tool gears (ghswag.pp)
- Performance skill has been reworked (skilluse.pp)
- Scene description is quotestringed (playwright.pp)
- Added Harness gears (ghguard.pp)
- Increased experience rewards for skill use (action.pp)
- May select character colors during creation (chargen.pp)
- All quest-related gears may have quest rumors (interact.pp)
- Added multiple tile sets (locale.pp)
- Removed unused ROOM parser command (gearparser.pp)
- Many unnessecary terrain types removed (locale.pp)
- Cash earned and repair cost now displayed after arena mission (gh2arena.pp)
- Characters joining arena unit reimbursed for lost mecha (gh2arena.pp)
- Reworked arena mode mission handling (gh2arena.pp)
- Arena units must now be affiliated to a faction (gh2arena.pp)
- Can now create pilots from ArenaHQ menu (gh2arena.pp)
- Fixed a bug with missile ranges (ghweapon.pp)
- Character generation can be limited by faction (chargen.pp)
- Sell item price lowered in arena mode (gh2arena.pp)
- Improved the transfer items menu (backpack.pp)
- Fixed exploitable jumping bug (action.pp)
- Fixed problem with winning the game/exporting characters (navigate.pp)
- Split building textures and bitz from terrain image (glmap.pp)
- Tile drift happens in microgravity (action.pp)
- Terrain destruction will not start fires in a vacuum (effects.pp)
- No benefit from wings in a vacuum (movement.pp)
- Replaced enviro_fx strings with environment data (movement.pp)
- Fixed module install bug (backpack.pp)

0.405	November 28 2006
- Improved character generator menus (chargen.pp)
- Added Camaraderie talent (ghchars.pp)
- Added \ITEM_DESC, \ITEM_HISTORY, \ITEM_USAGE message commands (arenascript.pp)
- Added config option to select software surface (glgfx.pp)

0.404	November 24 2006
- Added minimal screen refresh config option (ui4gh.pp)
- Added \Item message formatting command (arenascript.pp)

0.403	November 22 2006
- Quests may have any kind of gear as key item (navigate.pp)
- Arena pilots, mecha menus retain menu pos (gh2arena.pp)
- Fixed Load Arena Unit menu (gh2arena.pp)
- Added target speed compensation targeting software (ghsensor.pp)
- Rotation angle should be correct when entering scene (glmap.pp)
- Fixed experience bug with called shots (effects.pp)
- Factionless teams get locally available mecha (wmonster.pp)
- Having extra leg points gives MV bonus while walking (gearutil.pp)
- Removed unused PERMA persona functionality (playwright.pp)
- Reduced the Spot Weakness minimum target (effects.pp)
- Large Sensors and ECM units take extra slots (ghsensor.pp)
- Slot information shown in browser info display (glinfo.pp)
- Added Innovation talent (ghchars.pp)
- Mecha Engineering reworked (backpack.pp)
- Combat props may attack enemies (aibrain.pp)
- Improved Equip Item display (backpack.pp)
- Can access inventory from ArenaHQ (gh2arena.pp)
- Backpack now supports custom redraw procedures (backpack.pp)

0.402	November 10 2006
- Fixed a critical error in Arena mode (gh2arena.pp)

0.401	November 9 2006
- Movement system thrust to complexity ratio increased (movement.pp)
- When cycling weapons, only weapons of appropriate range used (targetui.pp)
- Basic attack command will try to pick best weapon for target (pcaction.pp)
- Should no longer try to aim at models that have left the map (targetui.pp)
- In SDL mode, can press shift + dirkey to run (pcaction.pp)
- Only active player mecha appears white in ASCII mode (vidmap.pp)
- Time remaining indicated in tactics mode (arenacfe.pp)
- Active mecha now indicated in tactics mode (glmap.pp)
- New pilots join arena unit without mecha (gh2arena.pp)
- Turning now uses smooth rotation (glmap.pp)
- Fixed exploitable tacticsmode bug (arenaplay.pp)
- Characters indicated at start of tactics turn (arenaplay.pp)
- Combat anims now use correct altitude (glmap.pp)
- Can assign pilot for mecha from view mecha menu (gh2arena.pp)

0.400	November 3 2006
- Added Shard mecha (design/)
- Added default sprite setting for props (glmap.pp)
- Props may have skill values (ability.pp)
- Removed unused GG_Unit definitions (gears.pp)
- Props are active, they just don't do anything (ability.pp)
- Added ArenaRep ASL command (arenascript.pp)
- Training got moved to its own unit (training.pp)
- Added a totally rewritten arena mode (gh2arena.pp)
- Jack of All Trades can now use repair skills (pcaction.pp)
- Separate tactics preferences for RPG and Arena Mode (ui4gh.pp)
- Return ASL command altered to handle arena campaigns (arenascript.pp)
- CombatDisplay will deal with nonexistant gameboard (arenacfe.pp)
- Can save campaign without a gameboard (narration.pp)
- Tactics mode now compiles in GH2 (arenaplay.pp)
- Skill roll history cleared with console history (gearhead.pas)
- Attack roll now made with estimated target of Defense + 2 (effects.pp)
- Awareness and Stealth now use the SkillRoll function (action.pp)
- Element names won't be stored in adventure megalist (randmaps.pp)
- Line attack type now has a cone shape (effects.pp)
- Added computer, software gears (ghsensor.pp)
- Gyros no longer provide MV bonus (gearutil.pp)
- Sensors and ECM must now be same scale as mecha to function (gearutil.pp)
- Removed targeting computers (ghsensor.pp)
- SeekActiveIntrinsic requires other gears be same scale as master (gearutil.pp)
- Fixed a bug with line attack (effects.pp)
- Fixed the telephone react score bug (interact.pp)
- Burn status effect now has constant rate of diminishment (arenacfe.pp)
- Tech Vulture can't remove integral modules (arenascript.pp)
- Attacking drones should not give villainous reputation (locale.pp)
- Area effect weapons do full damage against metaterrain, props (action.pp)
- Fixed return from root scene bug (arenascript.pp)
- Fixed shift gears at edge of map bug (pcaction.pp)
- Fixed bug with burst value not affecting accuracy (effects.pp)
- Added "One Hand Free" weapon encumberance rule (effects.pp)
- New weight calculator counts all out of scale gears (gearutil.pp)

0.312	October 8 2006
- Isometric mode camera should be initialized to good angle (arenaplay.pp)
- Added LAPTOP_ISO_KEYS config option (ui4gh.pp)
- Added skill roll history command (pcaction.pp)
- Added camera controls to help key list (pcaction.pp)
- Removed useless FirstAid, Recenter keys (ui4gh.pp)
- Reworked the City randmaps command (randmaps.pp)
- Added new ShortBuilding terrain (locale.pp)
- Buildings now come in a variety of styles (glmap.pp)
- When time advances quickly, 5min and halfhour triggers ignored (arenacfe.pp)
- New eyecatch poster when starting new campaign (glgfx.pp)
- Fixed lancemate chatting in mecha bug (aibrain.pp)
- Added RandomMecha ASL command (arenascript.pp)
- Fixed numerous problems with the FieldHQ (backpack.pp)

0.311	September 17 2006
- May toggle between perspective and isometric modes (glmap.pp)
- Fullscreen mode now on by default (glgfx.pp)
- Improved DialogMsg for graphical mode (glgfx.pp)
- InfoBox no longer transparent (glgfx.pp)
- Lancemates limited in new skill choice (pcaction.pp)
- Lancemates may not learn new talents (pcaction.pp)
- All menus should now have background (pcaction.pp)
- GetNewSkill display fixed (pcaction.pp)
- Save files will include extra xxran debugging info (playwright.pp)
- Mouseover will indicate items (glmap.pp)
- Configuration saved when program exits (ui4gh.pp)
- MoreText viewer slightly beautified (glgfx.pp)
- Fixed bug with xxran components grabbing scene 0 (playwright.pp)
- Encounters can't move through other models (locale.pp)
- PC should enter buildings facing in right direction (randmaps.pp)
- Power sources now get description string (description.pp)
- Added QMemo, GSceneID ASL commands (arenascript.pp)
- Fixed problem with quest scene name initialization (playwright.pp,navigate.pp)

0.310	September 12 2006
- Many new item images from Francisco Munoz and Phil Munoz
- Element name substitution string for random scene content (randmaps.pp)
- Fixed some problems with NoGo map features (locale.pp)
- Bug with cyberdisfunction "Anger" fixed (arenacfe.pp)
- Persona fragment context includes NPC's mecha theme (playwright.pp)
- May use backspace, enter as esc,space in ASCII mode (vidgfx.pp)
- Store, interact areas larger in ASCII mode (vidgfx.pp)
- RanCon prefab elements and personas inherit QuestID from scene (randmaps.pp)
- May add nonrepeating Variety of random scene content to map feature (randmaps.pp)
- Skill advance cost raises sharply after rank 15 (ghchars.pp)
- NoRescue is now a Special tag, not a Type tag (arenaplay.pp)
- Fixed some more quest generator bugs (navigate.pp)
- Added HardSkillTar, GOpenInv ASL commands (arenascript.pp)
- Added Cellbox map generator (randmaps.pp)
- Shopkeepers who know Mecha Engineering may sell custom mecha (services.pp)
- Combat NPCs assigned theme and specialty (gearparser.pp)
- Added integral intrinsic (ghintrinsic.pp)
- Added customization unit (customization.pp)
- Moved component selector routines to gearutil.pp (playwright.pp)

0.302	August 6 2006
- Added error check code to saved game loader (gearutil.pp)
- When pilot is moved by ASL, mecha is dealt with (narration.pp)
- Mass effects only affect models on the map (effects.pp)
- Added error check to ReplacePat (texutil.pp)
- If no difficulcy context for quest artifacts, use quest difficulcy (playwright.pp)
- Fixed smoke/fire transparency problem (glmap.pp)
- Artifacts may be selected by threat level (playwright.pp)
- Quest difficulcy determined by proximity to PC's home town (navigate.pp)
- Master gears included in Quest metascenes get team assigned (navigate.pp)
- Quest fragments automatically unique unless tagged as reusable (navigate.pp)
- Quest NPCs get renown and skills set by quest difficulcy rating (navigate.pp)
- Added GJoinLance, MoveAndPacifyGG ASL commands (arenascript.pp)
- Lancemates may be given set AI types (arenaplay.pp)
- Quest elements may take same scene as previous elements (playwright.pp)
- Megalist will not include Special SAtts (randmaps.pp)

0.301	July 29 2006
- Starting characters now get to choose one free talent (chargen.pp)
- Added Cure Status effect (effects.pp)
- Quest dungeons are expanded (navigate.pp)
- Fixed disappearing encounter bug (arenaplay.pp)
- Added temporary lancemates (ghchars.pp)
- Pilot must be at least one scale smaller than cockpit (ghsupport.pp)
- Removed unused "ExitGrid" functionality (navigate.pp)
- Fixed crashing bug in targeting interface (targetui.pp)
- Fixed pointer bug in new scene generator (navigate.pp)
- Fixed crashing bug in quest generator (navigate.pp)
- New scenes for quests may be assigned a faction (navigate.pp)
- Props count as participants for space map scroll (arenaplay.pp)
- Fixed crashing bug with quest selector (navigate.pp)
- Added WMonster, IfGDead ASL commands (arenascript.pp)
- Added NoMSID special tag for encounters (playwright.pp)
- Added Eyre mecha (design/*.txt)
- XXRan component selection speeded up immensely (playwright.pp)
- Quest request context includes desc of key scene, key chara (navigate.pp)
- Quests can be tied to characters as well as scenes (navigate.pp)
- Dynamic encounters now set mapgen by PC tile terrain (arenascript.pp)

0.300	July 12 2006
- Will resize Mall, Club, MonkeyMaze if more cells needed (randmaps.pp)
- Added SHAREDPALETTE map feature special tag (randmaps.pp)
- Changed camera crane to linear type (glmap.pp)
- Added set adventure content, aka "Quests" (navigate.pp)
- Fixed an arithmetic overflow when GH2 left running for hours (glgfx.pp)
- SearchForScene can confine search to one city (playwright.pp)
- Only encounters with nonzero destination deleted after use (arenaplay.pp)

0.242	June 24 2006
- SeekGear will pick smallest repairfuel first (gearutil.pp)
- New improved enemy weapon selector from Peter Cordes (aibrain.pp)
- Improved AI called shot routine (aibrain.pp)
- Added "UNSAFE" scene special tag (locale.pp)
- Fixed problems with IsSafeArea and inactive mecha (locale.pp)
- Fixed problem with unequip/uninstall from disembodied module (backpack.pp)
- Changed Extropian talent to act more like documentation suggests (arenacfe.pp)
- Fixed a bug with lancemate flirtation (aibrain.pp)

0.241	May 17 2006
- If xxran debugging on, story will store list of components (playwright.pp)
- Fixed bug with \ELEMENT, \NARRATIVE message tags (arenascript.pp)
- GSkillLevel guarantees that basic combat skills known (arenascript.pp)
- Added "." for current scene element selector (playwright.pp)
- Added SkillTar ASL command (arenascript.pp)
- Neverfail characters now get passive teamdata (playwright.pp)
- Added SetID gearparser command (gearparser.pp)
- Faction search now includes ArchAlly, ArchEnemy (playwright.pp)
- Added PC stats to the OpenGL main display (arenacfe.pp)

0.240	April 14 2006
- TargetUI will now show module and other info (targetui.pp)
- Fixed a serious bug with metascene element search (playwright.pp)
- Characters used by remnants won't be selected for other plots/stories (narrative.pp)
- Fixed bug in core story palette definitions (series/corestorystub.txt)
- Removed the mission-giver xxran palette entry (narrative.pp)
- GSkillLevel will now select a renown-appropriate mecha (arenascript.pp)
- Added !Okay search criteria (playwright.pp)
- Added xxran story debug option (ui4gh.pp)
- Plot/Story Element IDs stored as NAtts rather than stats (narrative.pp)

0.232	March 27 2006
- Reworked the xxran state descriptors (series/COMP_*.txt)
- GSkillLevel will now set NPC's mecha (arenascript.pp)
- Fixed bug in story context (playwright.pp)
- Added "ARENA" scene special tag (action.pp)
- Fixed another bug in QuickFire procedure (pcaction.pp)
- Added NPC job designations to story context (playwright.pp)
- Context string may contain or-list (texutil.pp)

0.231	March 20 2006
- Fixed bug in QuickFire procedure (pcaction.pp)
- Added AlterContext ASL command (arenascript.pp)
- Fixed a bug in artifact search (playwright.pp)
- XXRan components may leave behind remnant gears (arenascript.pp)
- XXRan components are assigned an ID number (playwright.pp)
- FieldHQ and shops now gather PC's mecha from elsewhere in city (backpack.pp)
- Called shot menu now has alphakeys (pcaction.pp)
- Fixed a bug in the targeting interface (targetui.pp)
- Fixed a bug with faction mecha lists (wmonster.pp)

0.230	March 15 2006
- Minimum MPV for AddTeamForces is 300,000 (wmonster.pp)
- Ammo name no longer pluralized (ghweapon.pp)
- Fixed problem with ASCII world map renderer (vidmap.pp)
- Shuttle service now handles wrapping world maps correctly (services.pp)
- Space maps start entirely revealed (randmaps.pp)
- Space maps don't have fixed coordinates (arenaplay.pp)
- Improved ThisItemWasSelected menu (backpack.pp)
- Added Tung Nguyen's quickfire patch (pcaction.pp)
- Fixed a bug in rumor generator (interact.pp)
- Added unique scene content (randmaps.pp)
- Added list of unique artifacts (playwright.pp)
- Changed the StringMatchWeight algorithm (texutil.pp)
- Fixed a bug in the cave map generator (randmaps.pp)
- Removed the backpack double description (backpack.pp)
- All NPC xdesc traits now in quotes (interact.pp)
- Reduced chance of personality trait and scene faction rumors (interact.pp)

0.221	February 25 2006
- Fixed a bug in the mecha generator (wmonster.pp)
- Salvage should finally be working (arenascript.pp)
- The MinValue mecha will always be of an appropriate type (wmonster.pp)
- Explosions shouldn't keep going off after death of PC (arenascript.pp)
- Items at stores may come in sets (services.pp)
- Component traits beginning with "-" must not be present (texutil.pp)
- Centralized check for whether or not NPC is an animal (gearutil.pp)
- Random scene content may include SPECIAL instructions for map feature (randmaps.pp)
- Map features may be designated as "NoGo" zones (locale.pp)
- Encounter spotting bug mostly fixed (locale.pp)
- Only prefab elements in meta/dynamic scenes get OriginalHome of -1 (playwright.pp)
- Story context indicates whether scene is meta or perminant (playwright.pp)
- Fixed a bug in the local macro procedure (arenascript.pp)
- Added Friend relationship (interact.pp)
- Story context now contains more element information (playwright.pp)

0.220	February 18 2006
- Express delivery now works with GH2 adventure structure (services.pp)
- Added Cesena Spinner (ATLAS_L5Region.txt)
- Repair Fuel now gets extended description (description.pp)
- IsArchEnemy, IsArchAlly now checks faction heirarchy (interact.pp)
- Select target menu now alphakeyed (targetui.pp)
- Fixed possible bug with character armor and cyberware (action.pp)
- Vitality skill increases damage capacity of limbs (ghmodule.pp)
- NPCs with the right skills also do verbal attacks (aibrain.pp)
- Speaking with an enemy results in a verbal attack (arenacfe.pp)
- Added Taunt, Acrobatics skills (ghchars.pp)
- Added Enraged, Flummoxed status conditions (ghweapon.pp)
- A surrendered gear that takes damage will un-surrender (action.pp)
- Surrendered NPCs not normally selected as targets (targetui.pp)
- All monsters now marked with "ANIMAL" job (wmonster.pp)
- NPCs may surrender if stamina depleted (aibrain.pp)
- Smartbump won't attack surrendered enemies (pcaction.pp)
- Added NonLethal attack attribute (ghweapon.pp)
- Damage unit combined with gearutil (gearutil.pp)
- External armor gears may contain stat bonuses (ghguard.pp)
- Fixed bug with cost of overstuffed modules (gearutil.pp)
- External armor now gets more space to install things (gearutil.pp)
- High scale items basic price increased (gearutil.pp)
- Mecha cost only reduced by MV/TR, never increased (gearutil.pp)
- Modified the cost of modules and armor (ghmodule.pp)
- Added Hardened intrinsic (ghintrinsic.pp)
- PC will only use appropriate mecha in town (arenaplay.pp)
- PCs marooned in space should be rescued (pcaction.pp)
- Hopefully fixed Linux startup and texture loading bugs (glgfx.pp)
- SmartAttack will give up after a short time (pcaction.pp)
- PC resurrection doesn't clear perminant injuries (skilluse.pp)

0.210	February 6 2006
- Added automatic web page updater (www_build.pas)
- ShiftGears will not select invalid movement mode (pcaction.pp)
- Added space flight movement system (ghmovers.pp)
- NAS_Resurrections shifted from Damage to Personal attributes (damage.pp)
- Time ASL command preserves PC's hunger level (arenascript.pp)
- For emergency repair, points applied where neeeded most (skilluse.pp)
- Old resurrection system replaced by rescue scenarios (arenaplay.pp)
- Added ForceExit ASL command (arenascript.pp)
- Added counter for number of times NPC talks to PC (arenascript.pp)
- Random chat strings passed through AtoAn procedure (interact.pp)
- Added personatype root scene attribute to persona fragment search (randmaps.pp)
- Character randomizer doesn't erase age (gearparser.pp)
- Amount of shopkeeper inventory determined by shopkeeper skill (services.pp)
- Mecha from shops come pre-painted (services.pp)
- Shopkeepers more likely to stock mecha (services.pp)
- Fewer personality trait rumors will be generated (interact.pp)
- Conversation uses SkillRoll function now (interact.pp)
- "Repair Mecha" now in shop View Mecha menu (services.pp)
- Slightly easier to spot encounters (damage.pp,locale.pp)
- Fixed a bug in CalcTotalModifiers function (effects.pp,locale.pp)
- CalcTotalModifiers now records SkillComment explaining modifiers (effects.pp)
- Increased XP awards from skill use (action.pp)
- Generalized the xxran story generator (playwright.pp)
- Fixed bug with metascene random content subzone generation (randmaps.pp)
- Prefab elements placed in current scene immediately deployed (playwright.pp)
- Campaign now starts at the Cavalier's Club (navigate.pp)

0.201	November 26 2005
- Adjusted movement speeds (action.pp)
- Added clock to display (arenacfe.pp)
- Adjusted character reaction time (ability.pp)
- Fixed bug in local macros (arenascript.pp)
- Added NOPLOTS persona special tag (interact.pp)
- Added grabdesig ASL command (grabgear.pp)
- Monster XP calculation may be based on difficulcy rating (ability.pp)
- SID of the PC's home town is saved (navigate.pp)
- Fixed multiple SeekGearByName bugs (gearutil.pp)
- Elevators and trap doors now have graphics (glmap.pp)
- Changed the way "StartHere" map features work (locale.pp)
- MassEffect only applied against active gears (effects.pp)
- Reduced the dungeon difficulcy increase (navigate.pp)
- Can have named entrance to dungeon (navigate.pp)
- Fixed chargen stat prompt bug (chargen.pp)
- Fixed ASCII mode character generator bug (vidgfx.pp)
- Random monsters are sorted by terrain type (wmonster.pp)
- Added lighting effects (glmap.pp)

0.200	November 20 2005
- Added Cayley Rock location
- Added Bluebird, Dora mecha
- Monsters file split (gearparser.pp)
- Encounters will inherit environment from parent (arenascript.pp)
- Added graphics for smoke, fire (glmap.pp)
- PCAttack trigger bug fixed (effects.pp)
- All terrain types have rudimentary graphics (glmap.pp)
- Added "W" key to toggle wall height (glmap.pp)
- If Place<> starts with ~, will put in element scene (playwright.pp)
- NeverFail MetaScene entrances always placed in Urban area (playwright.pp)
- Ammo always weighs at least one unit (ghweapon.pp)
- Added environmental effect strings (arenaplay.pp)
- Added GASATTACK attribute (ghweapon.pp)
- Changed name of GAS attribute to TOXIN (ghweapon.pp)
- Attack skill roll made against target's basic defense (effects.pp)
- Added legality levels (services.pp)
- Characters who start with bad traits get xp,cash bonus (chargen.pp)
- Added shopkeeper name and info to services display (services.pp)
- Can only use services if in same scene as NPC (arenascript.pp)
- Added UNLISTED tag for personas (pcaction.pp)
- Phone service is working again (pcaction.pp)
- Changed communication capabilities to intrinsics (ability.pp)
- Added intrinsics (ghintrinsic.pp)
- skilluse.pp unit now uses SkillRoll function (skilluse.pp)
- Added HP, MP, SP, MV, TR, and SE to info display (glinfo.pp,vidinfo.pp)
- New characters begin the game with a mecha (chargen.pp)
- Redid trait selection during character generation (chargen.pp)
- Redid jobs and family history (chargen.pp)
- May select hometown during character generation (chargen.pp)
- PC background context affects core story (chargen.pp)
- Mecha forms have different speed limits (movement.pp)
- Added error message to ArenaScript parser (arenascript.pp)
- Adjusted the shopping roll for store wares (services.pp)
- Removed redundant "View Tech Stats" menu item (services.pp)
- Added Shuttle ASL command (arenascript.pp)
- Encounters won't double-tap (aibrain.pp)
- Can't cancel mecha selection menu (arenascript.pp)
- Overcharged energy weapons get altered attack name (effects.pp)
- Combatant NPCs have randomly selected mecha (gearparser.pp)
- Combatant NPCs have skills scaled by renown (gearparser.pp)

0.110	October 25 2005
- Added NoEscape special tag for personas (arenascript.pp)
- Temporary mecha get the Faction ID of their pilots (arenaplay.pp)
- Added IfSkillTest, GrabRootScene ASL commands (arenascript.pp)
- Fixed movemode name bug in mecha description (description.pp)
- Added TERRAIN string attribute to rancon context (randmaps.pp)
- Encounters now have effect radius of 1 (aibrain.pp)
- Simplified the rumor formatting procedure (playwright.pp)
- Power drained mecha can't use energy weapons well (effects.pp)
- Colony cylinder can no longer be destroyed
- Fixed 3x3 blast against empty tile bug (effects.pp)
- Random scene content is preloaded, improving speed (randmaps.pp)
- Metascene entrance and item scripts can grab relevant plot, story (grabgear.pp)
- Renamed StoryLine ASL command to StartPlot (arenascript.pp)
- Update trigger set when stories and plots loaded/ended (arenascript.pp)
- Encounters reworked (aibrain.pp)
- GSetSAtt now does message formatting (arenascript.pp)
- Activated global plots and faction stories

0.102	September 26 2005
- Shopping menu now lists ammunition quantity (services.pp)
- Fixed training menu descriptions in SDL mode (pcaction.pp)
- Restored the DirKey function (targetui.pp)
- Reworked Part Browser (backpack.pp)
- Reworked FieldHQ main menu (pcaction.pp)
- Fixed movemode name bug in MechaDescription (description.pp)
- Reworked the services, backpack user interfaces (backpack.pp,services.pp)
- Three new martial arts attributes have been added (effects.pp)
- GateCrasher talent makes terrain destruction more likely (effects.pp)
- Effect of attack won't be shown before attack completed (arenacfe.pp)
- Reworked effects.pp (effects.pp)
- Element creation instructions in NeverFail[n] SAtt (playwright.pp)
- Added SkillRoll function and skill roll log (ability.pp)
- Replaced DAMAGE_* history vars with DamageRec record (action.pp)
- Story context now includes difficulty rating (playwright.pp)
- Scenes get default TERRAIN string attribute if not set (randmaps.pp)
- NPC mecha will be filtered for scene terrain (arenaplay.pp,wmonster.pp)

0.101	September 5 2005
- Added SUBZONE special tag (randmaps.pp)
- Encounters no longer use standard move modes (aibrain.pp)
- Encounter Metascenes take the terrain type of their entrance (arenascript.pp)
- Fixed a bug in FindDeploymentSpot function (locale.pp)
- Weapons now indicate ammunition caliber (description.pp)
- Fixed bug in megalist generator (randmaps.pp)
- Modified random NPC skin colors (glmap.pp)
- When exiting to world map, appear near city entrance (arenascript.pp)
- NPC portraits now sorted by age, charm, combat ability (glinfo.pp)
- Added WorldID, ifSafeArea, GrabTeamName ASL commands (arenascript.pp)
- Navigate uses FindActualScene function (navigate.pp)
- Added world map exploration mode (arenaplay.pp)
- Worlds now get scene IDs (navigate.pp)

0.100	August 23 2005
- First public release of GearHead-2

